*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: Elegance;
    src: url("/assets/fonts/The_New_Elegance_Italic.otf");
}
@font-face {
    font-family: JustSans-Bold;
    src: url("/assets/fonts/JUST_Sans_Medium.otf");
}
@font-face {
    font-family: JustSans;
    src: url("/assets/fonts/JUST_Sans_Regular.otf");
}

html, body{
    font-size: 100%;
    font-family: "JustSans", sans-serif;
    scroll-behavior: smooth;
    background-image: url("/assets/img/Z_Web_Textura\ Raspones_80x80px_2025.gif");
    background-repeat: repeat;
    background-size: 6%;
    background-blend-mode: color-dodge;
    /*background-blend-mode: overlay;*/
    /*background-blend-mode: darken;*/
    /*background-blend-mode:lighten;*/
    background-color: var(--fondo);
    color: var(--blanco);
    transition: all 0.3s ease-in-out;
}

h1{font-size: 4.5rem; font-family: "Elegance"; color: var(--rojo); line-height: 4.4rem;}
h2{font-size: 13rem; font-family: "Elegance"; color: var(--rojo);}
h3{font-size: 1.1rem; font-family: "Elegance"; color: var(--fondo);}
p{font-size: 25px; line-height: 35px; font-weight: 100;}

  /*ScrollBar*/
::-webkit-scrollbar {
    width: 10px;
    background-color: var(--blanco);
}

::-webkit-scrollbar-thumb {
    background-color: var(--rojo);
    border-radius: 5px;
    border-right: 2px solid var(--blanco);
    border-left: 2px solid var(--blanco);
}
/*Cierra ScrollBar*/

:root{
    --fondo: #161616;
    --blanco: #fefefe;
    --rojo: #d10632;
}

main{
    position: relative;
    margin: 0 auto;
    max-width: 1400px;
}
.zurdos-header{
    position: relative;
    display: block;
    background-image: url("/assets/img/Z_Web_Header_1920x343_2025.webp");
    background-repeat: no-repeat;
    background-position: top;
    height: 900px;
    width: 100%;
    overflow: hidden;

    & p{
        max-width: 1000px;
        height: auto;
        padding: 20px;
        margin: 0 auto;
        text-align: center;
    }
}
.zurdos-header-main{
    margin: 0 auto;
    padding: 150px 0 0 0;
    max-width: 1400px;
    height: 700px;
    /*border: solid 2px red;*/
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 50px;
    overflow: hidden;

    & img{
        max-height: 450px;
        width: auto;
        padding: 20px;
    }
    & h1{
        margin-top: 150px;
        max-width: 40%;
        animation: FadeIn 1s cubic-bezier( 0.86, 0, 0.02, 1 );
        animation-fill-mode: backwards;
    }
}

@keyframes FadeIn {
    0% { opacity: 0;}
    100% { opacity: 1;}
}

.timeline{
    background-color: var(--rojo);
    height: 250px;
    margin: 50px auto 0;
    display: flex;
    justify-content: center;

    & img{
        max-width: 1000px;
        height: auto;
        padding: 20px;
    }
}

.integral{
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    min-height: 750px;
    width: 100%;
    text-align: center;


    & img{
        max-width: 50%;
        height: auto;
    }
    & h1{
        margin: 25px auto;
    }
}

.una-agencia{
    width: 50%;
    margin: 20px 0;

    & h1, p{
        margin: 20px auto;
        max-width: 70%;
    }
}

.servicios{
    position: relative;
    min-height: 550px;
    width: 100%;
    background-color: var(--rojo);
}
.servicios-interior{
    display: flex;
    flex-direction: row;
    gap: 50px;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
    max-width: 1400px;
    text-align: center;
    padding: 30px;
    min-height: 550px;
}
.servicios-ico{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 200px;
    height: 200px;
    border: solid 2px var(--fondo);
    border-radius: 25px;
    gap: 20px;
    cursor:default;

    & img{
        padding: 10px;
        max-height: 120px;
        width: auto;
        transition: all 0.2s ease-in-out;
    }
    &:hover img{
        filter: invert(1);
    }
    & h3{
        margin-bottom: -5px;
    }
}

.buscamos{
    position: relative;
    text-align: center;
    margin: 200px 0;
    padding: 20px;

    & article{
        font-family: 'JustSans', sans-serif;
        font-size: 2rem;
        line-height: 2rem;
        max-width: 400px;
        margin: 0 auto 70px ;
    }
    & p{
        margin: 20px auto;
        max-width: 1000px;
    }
    & b{
        color: var(--rojo);
        font-family: "Elegance";
        font-size: 1.8rem;
    }
}

.agencia{
    background-color: var(--blanco);
    background-image: url("/assets/img/Z_Web_Textura\ Raspones_Invertido_1920x1080_2025.webp");
    background-position: center;
    background-repeat: repeat;
    min-height: 900px;
    padding: 20px;
    text-align: center;
}
.clientes{
    display: block;
    align-content: center;
    margin: 0 auto;
    position: relative;
    max-width: 1400px;
    min-height: 900px;
    padding-bottom: 100px;

    & h3{
        margin-top: 150px;
        font-size: 3.5rem;
    }
}
.marcas{
    margin-top: 100px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    align-content: center;
    gap: 80px;

    & img{
        max-width: 110px;
        height: auto;
        filter: grayscale();
        mix-blend-mode: multiply;
        opacity: 0.7;
    }

    & img:hover{
        filter: grayscale(0);
        mix-blend-mode: none;
        opacity: 1;
    }
}

.empieza{
    position: relative;
    display: block;
    background-color: var(--rojo);
    height: auto;
}
.lobueno{
    position: relative;
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    overflow: hidden;
}

.lobueno-txt{
    width: 50%;
    height: auto;
    margin: 0 auto;
    text-align: center;
    padding: 20px;
    
    & h3{
        text-align: center;
        height: auto;
        font-size: 5rem;
        line-height: 5.3rem;
        color: var(--blanco);
        max-width: 500px;
        margin: 0 auto;

        & img{
            mix-blend-mode: hard-light;
            filter: contrast(1) grayscale(1);
            width: 300px;
            margin-top: 50px;
        }
    }
}
.lobueno-img{
    width: 50%;
    height: auto;
    padding: 20px 20px 0 20px;
    margin: 0 auto;
    text-align: center;

    & img{
        height: auto;
        width: 100%;
        margin-bottom: -20px;
    }
}

.formulario{
    max-width: 1200px;
    margin: 200px auto;
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    align-content: center;

    & h3{
        margin: 50px auto;
        display: block;
        width: 60%;
        text-align: center;
        color: var(--blanco);
        font-size: 5rem;
    }
    & b{
        color: var(--rojo);
    }

}

.form-img{
    padding: 30px;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;

    & img{
        width: 300px;
        height: auto;
    }
}
.form-form{
    padding: 30px;
    width: 50%;
    height: auto;

    & input{
        display: block;
        width: 100%;
        height: 50px;
        margin: 10px 0;
        padding: 10px;
        background-color: #cfcfcf;
        outline: none;
        border: none;

        &:focus-visible{
            outline: solid 1px var(--rojo);
            border: none;
        }
    }
    & textarea{
        display: block;
        width: 100%;
        height: auto;
        margin: 10px 0;
        padding: 10px;
        background-color: #cfcfcf;
        outline: none;
        border: none;
        font-family: "JustSans";

        &:focus-visible{
            outline: solid 1px var(--rojo);
            border: none;
        }
    }

    & a{
        text-decoration: none;
        color: var(--blanco);
    }

}

button{
    padding: 10px 40px;
    border: none;
    border-radius: 10px;
    transition: all 0.3s ease-in-out;
}
#btn-form{
    background-color: var(--rojo);
    color: var(--blanco);
    width: 100%;
    cursor: pointer;

    &:hover{
        filter: contrast(125%);
    }
    &:focus-visible{
        outline: none;
        border: none;
    }
}

footer{
    max-width: 1400px;
    height: 100px;
    margin: 0 auto;
    text-align: center;

    & img{
        width: 250px;
        height: auto;
    }
}





































/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
    
    h1{font-size: 3.2rem; margin-left: -40px; line-height: 3rem;}
    
    .timeline{
        background-color: var(--rojo);
        height: 350px;
        margin: 50px auto 0;
        display: flex;
        justify-content: center;
    
        & img{
            max-width: 70%;
            height: auto;
            padding: 20px;
        }
    }

}
/* Medium devices (tablets, less than 992px) */
@media (max-width: 1370px) {
    
    h2{font-size: 7.5rem;}
    
    .lobueno-txt{
        width: 50%;
        height: auto;
        margin: 0 auto;
        text-align: center;
        padding: 20px;
        
        & h3{
            text-align: center;
            font-size: 3rem;
            line-height: 3.3rem;
            color: var(--blanco);
            max-width: 400px;
        }
    }
}





/*Small devices (landscape phones, less than 768px)*/
@media (max-width: 767.98px) {

    h1{font-size: 3.0rem; text-align: center; margin-left: 0px;}
    h2{font-size: 3.0rem; text-align: center;}

    .zurdos-header{
        height: auto;
        background-image: url("/assets/img/Z_Web_Header_1920x343_2025.webp");
    }

    .zurdos-header-main{
        max-width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        gap: 20px;
    
        & img{
            max-height: 350px;
            width: auto;
            padding: 20px;
        }
        & h1{
            max-width: 100%;
            margin-top: 0px;
        }
    }

    .timeline{
        background-color: var(--rojo);
        height: 150px;
        margin: 50px auto;
        display: flex;
        justify-content: center;
    
        & img{
            max-width: 90%;
            height: auto;
        }
    }

    .integral{
        display: block;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    
        & img{
            max-width: 100%;
            height: auto;
        }
    }
    
    .una-agencia{
        padding: 20px;
        width: 100%;
        margin: 50px 0 50px;
    }

    .lobueno{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
    }
    
    .lobueno-txt{
        width: 100%;
        height: auto;
        margin: 0 auto;
        text-align: center;
        padding: 20px;
        
        & h3{
            text-align: center;
            font-size: 3rem;
            line-height: 3.3rem;
            color: var(--blanco);
        }
    }
    .lobueno-img{
        width: 100%;
        height: auto;
        padding: 20px 20px 0 20px;
        margin: 0 auto;
        text-align: center;
    
        & img{
            height: auto;
            width: 100%;
            margin-bottom: 0px;
        }
    }
    


    .formulario{
        max-width: 1200px;
        margin: 200px auto;
        position: relative;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        align-content: center;
        gap: 50px;
    
        & h3{
            padding: 20px;
            margin: 50px auto;
            display: block;
            width: 100%;
            text-align: center;
            color: var(--blanco);
            font-size: 4rem;
        }
    }

        .form-img{
            width: 85%;
            display: flex;
            justify-content: center;
            align-items: center;
        
            & img{
                width: 400px;
                height: auto;
            }
        }
        .form-form{
            width: 85%;
            height: auto;
        }

};